List all Proxy Agents
Returns a list of all proxy agents within your Fivetran account.
Request schema
Query parameters
Paging cursor, read more about pagination
Number of records to fetch per page. Accepts a number in the range 1..1000; the default value is 100.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/proxy?cursor=cursor_value&limit=100 HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The collection of returned items
The unique identifier for the proxy agent within the Fivetran system.
Fivetran Account ID.
The timestamp of the time the proxy agent was created in your account.
Data processing location. This is where Fivetran will operate and run computation on data.
The actor who created the proxy agent.
Proxy agent name.
The version of the proxy agent.
The connection status of the proxy agent.
The number of source connections using the proxy agent.
The number of destinations using the proxy agent.
The value of the cursor parameter for the next page
{ "code": "Success", "message": "Proxy agent retrieved successfully", "data": { "items": [ { "id": "id", "account_id": "account_id", "registered_at": "2018-12-01T15:43:29.013729Z", "region": "GCP_US_EAST4", "created_by": "created_by", "display_name": "display_name", "version": "1.0.0", "status": "CONNECTED", "connector_count": 3, "destination_count": 1 } ], "next_cursor": "cursor_value" } }